GET
/api/v1/scaler/scalegroups/security_groups/{scaler_id}/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/scaler/scalegroups/security_groups/{scaler_id}/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/scaler/scalegroups/security_groups/{scaler_id}/", params={"project_id": "<PROJECT_ID>", "apikey": "<API_KEY>", "location": "<LOCATION>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/scaler/scalegroups/security_groups/{scaler_id}/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", apikey: "<API_KEY>", location: "<LOCATION>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Returns the security groups currently attached to the auto scaling group, including each group’s full inbound/outbound rule set.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”scaler_id
required
integer
The id of the auto scaling group, as returned by List.
Example
12345Query Parameters
Section titled “Query Parameters”project_id
required
integer
Identifier of the project to scope the request to. Required integer project ID.
Example
<PROJECT_ID>apikey
required
string
API key used to authenticate the request.
Example
<API_KEY>location
required
string
Region of the group.
Example
<LOCATION>Responses
Section titled “Responses”Successful response
Media typeapplication/json
Security groups attached to the group, each with its rules.
object
code
integer
data
Array<object>
object
id
integer
name
string
description
string
rules
Array<object>
object
id
integer
rule_type
string
protocol_name
string
port_range
string
network
string
network_cidr
string
network_size
integer
vpc_id
integer
description
string
is_default
boolean
is_all_traffic_rule
boolean
is_dr_source
boolean
is_dr_target
boolean
is_active
boolean
inbound_rules_count
integer
outbound_rules_count
integer
errors
object
message
string
Example
{ "code": 200, "data": [ { "id": 12345, "name": "default_sg_delhi", "description": "default security group delhi", "rules": [ { "id": 12345, "rule_type": "Inbound", "protocol_name": "Custom_TCP", "port_range": "22,443,80", "network": "any", "network_cidr": "--", "network_size": 1, "vpc_id": null, "description": "" } ], "is_default": true, "is_all_traffic_rule": false, "is_dr_source": false, "is_dr_target": false, "is_active": true, "inbound_rules_count": 1, "outbound_rules_count": 1 } ], "message": "Success"}